<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="utf-8" media-type="text/xml" indent="yes"/>
<xsl:template match="/">
<graph caption='Fusion Charts Example' xAxisName='Column 1' yAxisName='Column 2' decimalPrecision='0' formatNumberScale='0'>
  <xsl:attribute name="xAxisName"><xsl:value-of select="name(dbexec/rec[1]/*[1])" /></xsl:attribute>
  <xsl:attribute name="yAxisName"><xsl:value-of select="name(dbexec/rec[1]/*[2])" /></xsl:attribute>
  <xsl:apply-templates select="dbexec/rec"/>
</graph>
</xsl:template>
<xsl:template match="rec">
  <set>
    <xsl:attribute name="name"><xsl:value-of select="*[1]"/></xsl:attribute>
    <xsl:attribute name="value"><xsl:value-of select="*[2]"/></xsl:attribute>
    <xsl:attribute name="color"><xsl:value-of select="position()*64*64*64+9474192"/></xsl:attribute>
  </set>
</xsl:template>
</xsl:stylesheet>
